package com.ruoyi.mxjb.mapper;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.ruoyi.mxjb.domain.MxjbWrongBook;

/**
 * 学生错题本Mapper接口
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public interface MxjbWrongBookMapper 
{
    public List<MxjbWrongBook> findWrongQuestions(Map cond);

    public List<MxjbWrongBook> findWrongExaminees(Long wrongId);
    /**
     * 查询学生错题本
     * 
     * @param wrongId 学生错题本ID
     * @return 学生错题本
     */
    public MxjbWrongBook selectMxjbWrongBookById(Long wrongId);

    /**
     * 查询学生错题本列表
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 学生错题本集合
     */
    public List<MxjbWrongBook> selectMxjbWrongBookList(MxjbWrongBook mxjbWrongBook);

    public List<MxjbWrongBook> selectMxjbWrongStudentKnownledgeStats(Map cond);
    public List<MxjbWrongBook> selectMxjbWrongStudentQuestions(Map cond);

    public List<MxjbWrongBook> selectMxjbWrongClassKnownledgeStats(Map cond);
    public List<MxjbWrongBook> selectMxjbWrongClassStudentStats(Map cond);
    public List<MxjbWrongBook> selectMxjbWrongClassStudentQuestions(Map cond);

    /**
     * 新增学生错题本
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 结果
     */
    public int insertMxjbWrongBook(MxjbWrongBook mxjbWrongBook);

    /**
     * 修改学生错题本
     * 
     * @param mxjbWrongBook 学生错题本
     * @return 结果
     */
    public int updateMxjbWrongBook(MxjbWrongBook mxjbWrongBook);

    /**
     * 删除学生错题本
     * 
     * @param wrongId 学生错题本ID
     * @return 结果
     */
    public int deleteMxjbWrongBookById(Long wrongId);

    /**
     * 批量删除学生错题本
     * 
     * @param wrongIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteMxjbWrongBookByIds(Long[] wrongIds);

    public List<MxjbWrongBook> selectSubjects(MxjbWrongBook mxjbWrongBook);

    public List<MxjbWrongBook> selectQTypes(MxjbWrongBook mxjbWrongBook);

    public int deleteByQuestion(MxjbWrongBook mxjbWrongBook);
}
